%define upstream_name	 WWW-Mechanize
%define upstream_version 2.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Handy web browsing in a Perl object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

# For %%check only:
# HTTP::Server::Simple is not used anymore probably

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Form) >= 6.80.0
BuildRequires: perl(HTML::HeadParser)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTML::TreeBuilder) >= 5.0.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Daemon) >= 6.120.0
BuildRequires: perl(HTTP::Request) >= 1.300.0
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Taint) >= 1.80.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::URL)
BuildRequires: perl(URI::file)
BuildRequires: perl(bytes)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
WWW::Mechanize, or Mech for short, helps you automate interaction with a
website. It supports performing a sequence of page fetches including following
links and submitting forms. Each fetched page is parsed and its links and forms
are extracted. A link or a form can be selected, form fields can be filled and
the next page can be fetched. Mech also stores a history of the URLs you've
visited, which can be queried and revisited.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%install
%make_install

%check
%{__make} test

%files 
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/WWW
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.190.0-2.mga10
+ Revision: 2227717
- Mageia 10 Mass Rebuild

* Tue Sep 17 2024 tv <tv> 2.190.0-1.mga10
+ Revision: 2097752
- update to 2.19

* Thu Feb 01 2024 tv <tv> 2.180.0-1.mga10
+ Revision: 2036549
- update to 2.18

* Tue Aug 29 2023 tv <tv> 2.170.0-1.mga10
+ Revision: 1981038
- update to 2.17

* Mon Feb 20 2023 tv <tv> 2.160.0-1.mga9
+ Revision: 1944286
- update to 2.16

* Sat Aug 27 2022 tv <tv> 2.150.0-1.mga9
+ Revision: 1881123
- update to 2.15

* Fri Aug 19 2022 tv <tv> 2.140.0-1.mga9
+ Revision: 1878680
- update to 2.14

* Mon Aug 01 2022 tv <tv> 2.130.0-1.mga9
+ Revision: 1874135
- update to 2.13

* Thu Jul 21 2022 tv <tv> 2.120.0-1.mga9
+ Revision: 1869745
- update to 2.12

* Fri Jul 08 2022 tv <tv> 2.100.0-1.mga9
+ Revision: 1867976
- update to 2.10

* Wed Jun 15 2022 tv <tv> 2.90.0-1.mga9
+ Revision: 1864501
- update to 2.09

* Sun Jun 05 2022 tv <tv> 2.80.0-1.mga9
+ Revision: 1861261
- update to 2.08

* Thu May 05 2022 tv <tv> 2.70.0-1.mga9
+ Revision: 1856242
- update to 2.07

* Tue Mar 29 2022 umeabot <umeabot> 2.60.0-2.mga9
+ Revision: 1831267
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 2.60.0-1.mga9
+ Revision: 1753033
- update to 2.06

* Mon Sep 27 2021 tv <tv> 2.50.0-1.mga9
+ Revision: 1746626
- update to 2.05

* Mon Aug 16 2021 tv <tv> 2.40.0-1.mga9
+ Revision: 1741609
- update to 2.04

* Wed Nov 11 2020 tv <tv> 2.30.0-1.mga8
+ Revision: 1644538
- update to 2.03

* Wed Oct 14 2020 tv <tv> 2.20.0-1.mga8
+ Revision: 1635573
- update to 2.02

* Sat Sep 19 2020 tv <tv> 2.10.0-1.mga8
+ Revision: 1628699
- update to 2.01

* Wed Jun 10 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1591679
- update to 2.00

* Tue Jun 09 2020 tv <tv> 1.990.0-1.mga8
+ Revision: 1591356
- update to 1.99

* Fri May 15 2020 tv <tv> 1.970.0-1.mga8
+ Revision: 1583819
- update to 1.97

* Sat Feb 22 2020 shlomif <shlomif> 1.960.0-1.mga8
+ Revision: 1549301
- update to 1.96

* Mon Feb 17 2020 umeabot <umeabot> 1.950.0-2.mga8
+ Revision: 1537306
- Mageia 8 Mass Rebuild

* Tue Oct 29 2019 tv <tv> 1.950.0-1.mga8
+ Revision: 1456541
- update to 1.95

* Sat Oct 12 2019 tv <tv> 1.940.0-1.mga8
+ Revision: 1452100
- update to 1.94

* Sun Oct 06 2019 tv <tv> 1.930.0-1.mga8
+ Revision: 1449788
- update to 1.93

* Sun Aug 25 2019 tv <tv> 1.920.0-1.mga8
+ Revision: 1431989
- update to 1.92

* Fri Jan 11 2019 tv <tv> 1.910.0-1.mga7
+ Revision: 1355032
- update to 1.91

* Wed Nov 14 2018 tv <tv> 1.900.0-1.mga7
+ Revision: 1329913
- update to 1.90

* Fri Oct 19 2018 tv <tv> 1.890.0-1.mga7
+ Revision: 1322419
- update to 1.89

* Thu Sep 20 2018 umeabot <umeabot> 1.880.0-2.mga7
+ Revision: 1287167
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 tv <tv> 1.880.0-1.mga7
+ Revision: 1211695
- update to 1.88

* Fri Feb 09 2018 tv <tv> 1.870.0-1.mga7
+ Revision: 1199873
- update to 1.87

* Tue Oct 03 2017 tv <tv> 1.860.0-3.mga7
+ Revision: 1167359
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.860.0-2.mga7
+ Revision: 1154471
- add missing BRs for testsuite
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.750.0-3.mga6
+ Revision: 1035735
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.750.0-2.mga6
+ Revision: 968016
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.750.0-1.mga6
+ Revision: 851041
- update to 1.75

* Sun Oct 19 2014 umeabot <umeabot> 1.730.0-5.mga5
+ Revision: 790056
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.730.0-4.mga5
+ Revision: 745731
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.730.0-3.mga5
+ Revision: 686838
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.730.0-2.mga4
+ Revision: 533107
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 1.730.0-1.mga4
+ Revision: 471760
- update to 1.73

* Sun Jan 13 2013 umeabot <umeabot> 1.720.0-2.mga3
+ Revision: 374732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 1.720.0-1.mga2
+ Revision: 213295
- update to 1.72

* Sat Nov 26 2011 kharec <kharec> 1.710.0-1.mga2
+ Revision: 172204
- update to 1.71
+ jquelin <jquelin>
- update to 1.70

* Wed Jun 15 2011 jquelin <jquelin> 1.680.0-1.mga2
+ Revision: 107550
- update to 1.68

* Mon Jan 24 2011 jquelin <jquelin> 1.660.0-2.mga1
+ Revision: 36627
- mageia rebuild
- imported package perl-WWW-Mechanize


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.660.0-2mdv2011.0
+ Revision: 597105
- rebuild

* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.660.0-1mdv2011.0
+ Revision: 596701
- update to 1.66

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.640.0-1mdv2011.0
+ Revision: 552694
- update to 1.64

* Tue Apr 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.620.0-1mdv2010.1
+ Revision: 534591
- new version

  + Jérôme Quelin <jquelin@mandriva.org>
    - update to 1.60

* Wed Aug 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1.600.0-1mdv2010.0
+ Revision: 418113
- update to 1.60

* Wed Jul 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.580.0-1mdv2010.0
+ Revision: 396356
- update to 0.58

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.560.0-1mdv2010.0
+ Revision: 394968
- update to 1.56
- using %%perl_convert_version
- fixed license field

* Tue Jan 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.54-1mdv2009.1
+ Revision: 328903
- update to new version 1.54

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.52-1mdv2009.1
+ Revision: 309454
- update to new version 1.52

* Tue Oct 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.50-1mdv2009.1
+ Revision: 297977
- new version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.34-4mdv2009.0
+ Revision: 258790
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.34-3mdv2009.0
+ Revision: 246710
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.34-1mdv2008.1
+ Revision: 117549
- update to new version 1.34

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1.32-2mdv2008.1
+ Revision: 109344
- rebuild

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdv2008.1
+ Revision: 104441
- update to new version 1.32

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2008.0
+ Revision: 47740
- update to new version 1.30


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2007.1
+ Revision: 133690
- new version

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2007.0
- New version 1.20

* Mon Oct 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- 1.16

* Wed Sep 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdk
- New release 1.14
- buildrequires

* Wed Jun 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-2mdk 
- better url
- spec cleanup
- make test in %%check
- don't ship useless empty directories

* Fri Feb 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.12-1mdk
- 1.12

* Wed Feb 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.10-1mdk
- 1.10
- Reenable make test and BuildRequires

* Sun Jan 23 2005 Stefan van der Eijk <stefan@mandrake.org> 1.08-1mdk
- 1.08
- disable make test, as it seems to be broken on 1.06 & 1.08
- commented out the BuildRequires for the test

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.06-2mdk
- fix buildrequires in a backward compatible way

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-1mdk
- new version
- add logo in doc

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.04-1mdk 
- new version
- rpmbuildupdate aware

* Thu Apr 22 2004 Olivier Blin <blino@mandrake.org> 1.02-2mdk
- quiet setup
- fix Summary

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk
- new version

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.74-1mdk
- first mdk release

